<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:gravity="center_horizontal"
    android:orientation="vertical">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/game_icon"
        android:layout_width="64dp"
        android:layout_height="64dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_game_placeholder"
        android:layout_width="64dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ellipsize="end"
        android:gravity="center_horizontal"
        android:lineSpacingExtra="4dp"
        android:lines="2"
        android:text="占位\n占位"
        android:textColor="@color/text_primary"
        android:textSize="12sp"
        android:visibility="invisible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/game_icon"
        tools:text="超杀默示录" />

    <TextView
        android:id="@+id/game_name"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:ellipsize="end"
        android:gravity="center_horizontal"
        android:lineSpacingExtra="4dp"
        android:lines="2"
        android:textColor="@color/text_primary"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_game_placeholder"
        app:layout_constraintEnd_toEndOf="@id/tv_game_placeholder"
        app:layout_constraintStart_toStartOf="@id/tv_game_placeholder"
        app:layout_constraintTop_toTopOf="@id/tv_game_placeholder"
        tools:text="超杀默示录" />

</androidx.constraintlayout.widget.ConstraintLayout>
